Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# ACE_Malloc_LIFO_Iterator<, ACE_LOCK > Class Template Reference

`#include <Malloc_T.h>`

Inheritance diagram for ACE_Malloc_LIFO_Iterator<, ACE_LOCK >:

[legend]
Collaboration diagram for ACE_Malloc_LIFO_Iterator<, ACE_LOCK >:

[legend]
List of all members.

## Public Member Functions
| ACE_Malloc_LIFO_Iterator (ACE_Malloc< ACE_MEM_POOL_2, ACE_LOCK > &malloc, const char *name=0)

### template<ACE_MEM_POOL_1, class ACE_LOCK>
class ACE_Malloc_LIFO_Iterator<, ACE_LOCK >

## Constructor & Destructor Documentation

template<ACE_MEM_POOL_1 , class ACE_LOCK>
ACE_INLINE ACE_Malloc_LIFO_Iterator<, ACE_LOCK >::ACE_Malloc_LIFO_Iterator | ( | ACE_Malloc< ACE_MEM_POOL_2, ACE_LOCK > & | malloc,
|  | const char * | name = `0`
| ) |

| If name = 0 it will iterate through everything else only through those entries whose name match.

The documentation for this class was generated from the following files:

- Malloc_T.h
- Malloc_T.inl